Bug 1610798 - [RFE] Include latest version of ovirt-ansible-roles package and it dependencies into the appliance
Summary: [RFE] Include latest version of ovirt-ansible-roles package and it dependenci...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: MVP
: 5.10.0
Assignee: Satoe Imaishi
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 1570563
TreeView+ depends on / blocked
 
Reported: 2018-08-01 13:02 UTC by Martin Perina
Modified: 2019-02-07 23:03 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.20
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:31 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:37 UTC

Description Martin Perina 2018-08-01 13:02:39 UTC
oVirt Ansible roles are required to be installed within the appliance as we would like to invoke them from withing RHV provider UI.

The main packages is named ovirt-ansible-roles

https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=63632

It's meta package to install all supported oVirt Ansible roles, which currently are:

ovirt-ansible-cluster-upgrade https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=65097

ovirt-ansible-disaster-recovery
https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=65612

ovirt-ansible-image-template
https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=65094

ovirt-ansible-infra
https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=65095

ovirt-ansible-manageiq
https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=65096

ovirt-ansible-v2v-conversion-host
https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=67493

ovirt-ansible-vm-infra
https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=65093


Currently latest released version are included in following erratas:

https://errata.devel.redhat.com/advisory/35098
https://errata.devel.redhat.com/advisory/34233
https://errata.devel.redhat.com/advisory/30119

Comment 3 CFME Bot 2018-09-24 18:02:22 UTC
New commit detected on ManageIQ/manageiq-appliance-build/master:

https://github.com/ManageIQ/manageiq-appliance-build/commit/cc1227ddc54b5cbb613ef7c2f14114b0944b1a3f
commit cc1227ddc54b5cbb613ef7c2f14114b0944b1a3f
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Fri Sep 21 18:39:35 2018 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Sep 21 18:39:35 2018 -0400

    Add python-ovirt-engine-sdk4
    https://bugzilla.redhat.com/show_bug.cgi?id=1610768

    Add ovirt-ansible-roles
    https://bugzilla.redhat.com/show_bug.cgi?id=1610798

 kickstarts/base.ks.erb | 2 +
 kickstarts/partials/post/ovirt_ansible.ks.erb | 5 +
 2 files changed, 7 insertions(+)

Comment 6 Ilanit Stein 2018-10-17 09:44:55 UTC
Verified on CFME-5.10.0.20:


# rpm -qa | grep ovirt-ansible
ovirt-ansible-shutdown-env-1.0.0-1.el7ev.noarch
ovirt-ansible-disaster-recovery-1.1.2-1.el7ev.noarch
ovirt-ansible-engine-setup-1.1.5-1.el7ev.noarch
ovirt-ansible-manageiq-1.1.12-1.el7ev.noarch
ovirt-ansible-repositories-1.1.2-1.el7ev.noarch
ovirt-ansible-vm-infra-1.1.10-1.el7ev.noarch
ovirt-ansible-infra-1.1.8-1.el7ev.noarch
ovirt-ansible-image-template-1.1.8-1.el7ev.noarch
ovirt-ansible-v2v-conversion-host-1.6.3-1.el7ev.noarch
ovirt-ansible-cluster-upgrade-1.1.8-1.el7ev.noarch
ovirt-ansible-roles-1.1.5-1.el7ev.noarch

Comment 7 errata-xmlrpc 2019-02-07 23:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.